package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.domain.modelPic.EModelPic;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.EModelPicMapper;
import com.ruoyi.system.service.IEModelPicService;

/**
 * 车辆型号图片Service业务层处理
 *
 * @author qzz
 * @date 2024-12-30
 */
@Service
public class EModelPicServiceImpl implements IEModelPicService
{
    @Autowired
    private EModelPicMapper eModelPicMapper;

    /**
     * 查询车辆型号图片
     *
     * @param modelId 车辆型号图片主键
     * @return 车辆型号图片
     */
    @Override
    public EModelPic selectEModelPicByModelId(Long modelId)
    {
        return eModelPicMapper.selectEModelPicByModelId(modelId);
    }

    /**
     * 查询车辆型号图片列表
     *
     * @param eModelPic 车辆型号图片
     * @return 车辆型号图片
     */
    @Override
    public List<EModelPic> selectEModelPicList(EModelPic eModelPic)
    {
        return eModelPicMapper.selectEModelPicList(eModelPic);
    }

    /**
     * 新增车辆型号图片
     *
     * @param eModelPic 车辆型号图片
     * @return 结果
     */
    @Override
    public int insertEModelPic(EModelPic eModelPic)
    {
        eModelPic.setCreateTime(DateUtils.getNowDate());
        return eModelPicMapper.insertEModelPic(eModelPic);
    }

    /**
     * 修改车辆型号图片
     *
     * @param eModelPic 车辆型号图片
     * @return 结果
     */
    @Override
    public int updateEModelPic(EModelPic eModelPic)
    {
        return eModelPicMapper.updateEModelPic(eModelPic);
    }

    /**
     * 批量删除车辆型号图片
     *
     * @param modelIds 需要删除的车辆型号图片主键
     * @return 结果
     */
    @Override
    public int deleteEModelPicByModelIds(Long[] modelIds)
    {
        return eModelPicMapper.deleteEModelPicByModelIds(modelIds);
    }

    /**
     * 删除车辆型号图片信息
     *
     * @param modelId 车辆型号图片主键
     * @return 结果
     */
    @Override
    public int deleteEModelPicByModelId(Long modelId)
    {
        return eModelPicMapper.deleteEModelPicByModelId(modelId);
    }
}
